//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "systray.h"
#include <Menus.hpp>
#include <ImgList.hpp>
#include "Organizedlist.h"
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TListBox *FileListBox;
  TButton *AddBtn;
  TButton *RemoveBtn;
  TButton *RenameBtn;
  TButton *MoveUpBtn;
  TButton *MoveDownBtn;
  TButton *SeparatorBtn;
  TPopupMenu *PopupMenu;
  TMenuItem *N1;
  TMenuItem *Configure1;
  TMenuItem *Exit1;
  TImageList *ImageList;
  TGroupBox *GroupBox1;
  TCheckBox *LaunchCheckBox;
  TCheckBox *IconCheckBox;
  TLabel *IconLabel;
  TEdit *IconEdit;
  TButton *BrowseButton;
  TOpenDialog *OpenDialog;
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall Configure1Click(TObject *Sender);
  void __fastcall Exit1Click(TObject *Sender);
  void __fastcall SeparatorBtnClick(TObject *Sender);
  void __fastcall RenameBtnClick(TObject *Sender);
  void __fastcall AddBtnClick(TObject *Sender);
  void __fastcall RemoveBtnClick(TObject *Sender);
  void __fastcall MoveUpBtnClick(TObject *Sender);
  void __fastcall MoveDownBtnClick(TObject *Sender);
  void __fastcall IconCheckBoxClick(TObject *Sender);
  void __fastcall BrowseButtonClick(TObject *Sender);
private:	// User declarations
  struct MenuItem
  {
    AnsiString Path;
    AnsiString Name;
    AnsiString Param;
  };
  TidyList<MenuItem> ol;
  TSysTray *SysTray;
  void __fastcall LoadDefaultParams();
  void __fastcall SaveDefaultParams();
  Controls::TWndMethod OldListBoxWindowProc;
  void __fastcall NewListBoxWindowProc(TMessage &Msg);
  void __fastcall AddMenuItem(AnsiString item);
  void __fastcall RecreateMenu();
  void __fastcall MenuOnClick(TObject *Sender);
  int __fastcall RegReadInteger(HKEY hkey,AnsiString key);
  AnsiString __fastcall RegReadString(HKEY hkey,AnsiString key);
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
